# httpsession
---
通过httponly cookie 存储 SESSIONID 中间件

## Install
```bash
$ npm install httpsession
```

### 使用说明
```bash
一、创建及读取 SESSIONID
var session = require('httpsession')

//用于从SESSIONID中解密uid，token
session._parseSession(req)
console.log(req.sessionStore)

// 创建 session
var uid = 100001, token = '27y72ge3gygh1'
session.config({
  maxAge: 30 * 60 * 1000 // 毫秒
})
session._createIdentSession(res, uid, token, false)


二、在 Express 中使用httpsession
app.use(require('httpsession')._parseSession)
app.all('/read', function(req, res) {
  res.send(req.sessionStore)
})
app.all('/login', function(req, res) {
  var uid = 100001, token = '27y72ge3gygh1'
  session._createIdentSession(res, uid, token, false)
  res.send('ok')


```
